<?php

namespace Src\Modules\JsonObjects\Interfaces\Infrastructure;

use Src\Common\Interfaces\Infrastructure\IQueryBase;

interface IDirsQuery extends IQueryBase
{
    /**
     * @return $this
     */
    public function select(array $fields);

    /**
     * @return $this
     */
    public function whereId($id);

    /**
     * @return $this
     */
    public function whereIdIn(array $ids);

    /**
     * @return $this
     */
    public function whereParentId($parentId);

    /**
     * @return $this
     */
    public function whereInPath(string $matherialPath);
}
